## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%define plugin check_updates
%define nagiospluginsdir %{_libdir}/nagios/plugins

# No binaries in this package
%define debug_package %{nil}

Name:          nagios-plugins-check-updates
Version:       2.0.6
Release:       %autorelease
Summary:       A Nagios plugin to check if Red Hat or Fedora system is up-to-date

# Automatically converted from old format: GPLv3+ - review is highly recommended.
License:       GPL-3.0-or-later
URL:           https://github.com/matteocorti/check_updates
Source:        https://github.com/matteocorti/check_updates/releases/download/v%{version}/check_updates-%{version}.tar.gz

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch: %{ix86}

BuildRequires: coreutils
BuildRequires: findutils
BuildRequires: make
BuildRequires: perl-generators
BuildRequires: perl(Carp)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(lib)
BuildRequires: perl(Module::Install)
BuildRequires: perl(Monitoring::Plugin)
BuildRequires: perl(Monitoring::Plugin::Getopt)
BuildRequires: perl(Monitoring::Plugin::Threshold)
BuildRequires: perl(POSIX)
BuildRequires: perl(Readonly)
BuildRequires: perl(strict)
BuildRequires: perl(Test::More)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)

Requires:      nagios-plugins
Requires:      which
# Yum security plugin:
#   Fedora >= 19         : yum-plugin-security (is now provided by the yum package)
#   Fedora <= 18         : yum-plugin-security (yum-utils subpackage; also provides yum-security)
#   Red Hat Enterprise 6 : yum-plugin-security (yum-utils subpackage; also provides yum-security)
#   Red Hat Enterprise 5 : yum-security (yum-utils subpackage)
#   Red Hat Enterprise 8+:

%if (0%{?rhel} && 0%{?rhel} < 8) || (0%{?fedora} && 0%{?fedora} < 31)
Requires:      yum-plugin-security
%endif

Requires:      perl(Monitoring::Plugin)

%description
%{summary}.


%prep
%setup -q -n %{plugin}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor \
    INSTALLSCRIPT=%{nagiospluginsdir} \
    INSTALLVENDORSCRIPT=%{nagiospluginsdir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name "*.pod" -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/*

%check
make test


%files
%license COPYING COPYRIGHT
%doc AUTHORS.md Changes NEWS README.md
%{nagiospluginsdir}/*
%{_mandir}/man1/*.1*


%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Oct 14 2024 Alessio <alciregi_AT_fedoraproject.org> - 2.0.6-1
- Update to 2.0.6

* Thu Jul 25 2024 Miroslav Suchý <msuchy@redhat.com> - 2.0.5-3
- convert GPLv3+ license to SPDX

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Mar 12 2024 Alessio <alciregi@fedoraproject.org> - 2.0.5-1
- Update to 2.0.5 Use autorelease and autochangelog in the spec file

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 28 2023 Alessio <alciregi@fedoraproject.org> - 2.0.4-2
- Exclude Arch: ix86

* Wed Jun 28 2023 Alessio <alciregi@fedoraproject.org> - 2.0.4-1
- Update to 2.0.4

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Nov 19 2022 Piotr Popieluch <piotr1212@gmail.com> - 2.0.3-7
- Fix licensing shortcode

* Sat Nov 19 2022 Piotr Popieluch <piotr1212@gmail.com> - 2.0.3-6
- Fix licensing shortcode

* Tue Nov 15 2022 Alexander Acevedo <alex.acevedo@netfire.net> - 2.0.3-5
- AUTHORS is now AUTHORS.md

* Tue Nov 15 2022 Alexander Acevedo <alex.acevedo@netfire.net> - 2.0.3-4
- Fix changelog date for 2.0.3

* Tue Nov 15 2022 Alexander Acevedo <alex.acevedo@netfire.net> - 2.0.3-3
- Add check-updates-2.0.3.tar.gz to .gitignore

* Tue Nov 15 2022 Alexander Acevedo <alex.acevedo@netfire.net> - 2.0.3-2
- Update sources to 2.0.3

* Tue Nov 15 2022 Alexander Acevedo <alex.acevedo@netfire.net> - 2.0.3-1
- Update to 2.0.3

* Sat Sep 10 2022 Carl George <carl@george.computer> - 1.8.5-2
- Fix license handling

* Sat Sep 10 2022 seaninspace <seanm@member.fsf.org> - 1.8.5-1
- Updating version to 1.8.5

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat May 02 2020 Martin Jackson <mhjacks@swbell.net> - 1.7.10-1
- New upstream version

* Tue Mar 31 2020 Jitka Plesnikova <jplesnik@redhat.com> - 1.7.9-2
- Specify all perl dependencies for tests

* Fri Feb 28 2020 Martin Jackson <mhjacks@swbell.net> - 1.7.9-1
- Update to latest release which fixes epel7 issue

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 23 2020 Piotr <piotr1212@gmail.com> - 1.7.8-2
- Remove bundled libraries

* Sat Jan 18 2020 Piotr <piotr1212@gmail.com> - 1.7.8-1
- Update to 1.7.8 Add version to Obsoletes:

* Tue Dec 03 2019 Martin Jackson <martin.h.jackson@gmail.com> - 1.6.23-7
- Update nagios-plugins-check-updates.spec

* Tue Dec 03 2019 Martin Jackson <martin.h.jackson@gmail.com> - 1.6.23-6
- Update nagios-plugins-check-updates.spec

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.23-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.23-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.6.23-3
- Remove obsolete Group tag

* Sun Sep 30 2018 Piotr <piotr1212@gmail.com> - 1.6.23-2
- fix changelog version

* Sun Jul 29 2018 Piotr <piotr1212@gmail.com> - 1.6.23-1
- Add Module::Install to BR to fix rhbz#1583366

* Sun Jul 29 2018 Piotr <piotr1212@gmail.com> - 1.6.19-10
- Add Module::Install to BR to fix rhbz#1583366

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.19-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 10 2018 Jason Tibbitts <tibbs@math.uh.edu> - 1.6.19-8
- Remove needless use of %%defattr

* Wed Feb 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.6.19-7
- Remove %%clean section

* Tue Feb 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.6.19-6
- Remove BuildRoot definition

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.19-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.19-4
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 05 2017 Jose Pedro Oliveira <jose.p.oliveira.oss@gmail.com> - 1.6.19-1
- Update to 1.6.19.

* Sat Sep 03 2016 Jose Pedro Oliveira <jose.p.oliveira.oss@gmail.com> - 1.6.18-3
- Add missing requirement: perl(Monitoring::Plugin)

* Fri Jun 24 2016 Petr Písař <ppisar@redhat.com> - 1.6.18-2
- Mandatory Perl build-requires added
  <https://fedoraproject.org/wiki/Changes/Build_Root_Without_Perl>

* Wed Jun 01 2016 Jose Pedro Oliveira <jose.p.oliveira.oss@gmail.com> - 1.6.18-1
- Update to 1.6.18

* Sun May 29 2016 Jose Pedro Oliveira <jose.p.oliveira.oss@gmail.com> - 1.6.17-2
- Update to 1.6.17.

* Sun May 29 2016 Jose Pedro Oliveira <jose.p.oliveira.oss@gmail.com> - 1.6.17-1
- Update to 1.6.17.

* Mon Apr 18 2016 Jose Pedro Oliveira <jose.p.oliveira.oss@gmail.com> - 1.6.16-1
- Update to 1.6.16.

* Sun Feb 07 2016 Jose Pedro Oliveira <jose.p.oliveira.oss@gmail.com> - 1.6.15-1
- Update to 1.6.15.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Dec 27 2015 Jose Pedro Oliveira <jose.p.oliveira.oss@gmail.com> - 1.6.12-2
- Project moved to github

* Sat Sep 19 2015 Jose Pedro Oliveira <jose.p.oliveira.oss@gmail.com> - 1.6.12-1
- Update to 1.6.12.

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> - 1.6.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Feb 15 2015 Jose Pedro Oliveira <jose.p.oliveira.oss@gmail.com> - 1.6.10-1
- Update to 1.6.10.

* Tue Feb 10 2015 Jose Pedro Oliveira <jose.p.oliveira.oss@gmail.com> - 1.6.9-1
- Update to 1.6.9

* Sun Aug 17 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 1.6.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 23 2014 Jose Pedro Oliveira <jose.p.oliveira.oss@gmail.com> - 1.6.7-1
- Update to 1.6.7.

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 1.6.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Oct 11 2013 Jose Pedro Oliveira <jpo@di.uminho.pt> - 1.6.6-1
- Update to 1.6.6.

* Sat Aug 03 2013 Dennis Gilmore <dennis@ausil.us> - 1.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Jose Pedro Oliveira <jpo@di.uminho.pt> - 1.6.5-1
- Update to 1.6.5.

* Wed Jun 19 2013 Jose Pedro Oliveira <jpo@di.uminho.pt> - 1.6.4-1
- Update to 1.6.4

* Sat May 25 2013 Jose Pedro Oliveira <jpo@di.uminho.pt> - 1.6.3-2
- Fedora 19: yum-plugin-security is now provided by the yum package

* Wed May 15 2013 Jose Pedro Oliveira <jpo@di.uminho.pt> - 1.6.3-1
- Update to 1.6.3.

* Sat Mar 30 2013 Jose Pedro Oliveira <jpo@di.uminho.pt> - 1.6.2-1
- Update to 1.6.2.

* Thu Feb 14 2013 Dennis Gilmore <dennis@ausil.us> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 10 2012 Jose Pedro Oliveira <jpo@di.uminho.pt> - 1.6.1-1
- Update to 1.6.1.

* Fri Jul 20 2012 Dennis Gilmore <dennis@ausil.us> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 16 2012 Jose Pedro Oliveira <jpo@di.uminho.pt> - 1.6.0-1
- Update to 1.6.0.

* Fri Jan 13 2012 Dennis Gilmore <dennis@ausil.us> - 1.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 05 2011 Jose Pedro Oliveira <jpo@di.uminho.pt> - 1.5.2-1
- Update to 1.5.2.

* Sat Dec 03 2011 Jose Pedro Oliveira <jpo@di.uminho.pt> - 1.5.1-1
- Update to 1.5.1.

* Tue Oct 04 2011 Jose Pedro Oliveira <jpo@di.uminho.pt> - 1.5.0-1
- Update to 1.5.0.

* Wed May 25 2011 Jose Pedro Oliveira <jpo@di.uminho.pt> - 1.4.14-1
- Update to 1.4.14.

* Tue May 24 2011 Jose Pedro Oliveira <jpo@di.uminho.pt> - 1.4.13-1
- Update to 1.4.13. Fixes a build problem in EPEL5 (test script failure).

* Tue May 24 2011 Jose Pedro Oliveira <jpo@di.uminho.pt> - 1.4.12-1
- Update to 1.4.12. Upstream added a test suite.

* Tue Feb 08 2011 Dennis Gilmore <dennis@ausil.us> - 1.4.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov 18 2010 Jose Pedro Oliveira <jpo@di.uminho.pt> - 1.4.11-1
- * Update to 1.4.11.

* Mon Nov 01 2010 Jose Pedro Oliveira <jpo@di.uminho.pt> - 1.4.9-1
- * update to 1.4.9

* Mon Nov 01 2010 Jose Pedro Oliveira <jpo@di.uminho.pt> - 1.4.8-1
- *  nagios-plugins-check-updates-1.4.8-1 import

* Sun Oct 31 2010 Jose Pedro Oliveira <jpo@di.uminho.pt> - 1.4.7-1
- * nagios-plugins-check-updates-1.4.7-1 import
## END: Generated by rpmautospec
